# wxRibbonGalleryEvent Class Reference
[Events, Ribbon User Interface]

`#include </home/work/projects/wx/2.9/wx/interface/wx/ribbon/gallery.h>`

Inheritance diagram for wxRibbonGalleryEvent:
[legend]

## Detailed Description

##

Library: wxRibbon
Category: Events, Ribbon User Interface

See also:
  wxRibbonBar

## Public Member Functions

| wxRibbonGalleryEvent (wxEventType command_type=wxEVT_NULL, int win_id=0, wxRibbonGallery *gallery=NULL, wxRibbonGalleryItem *item=NULL)
| Constructor.
wxRibbonGallery * | GetGallery ()
| Returns the gallery which the event relates to.
wxRibbonGalleryItem * | GetGalleryItem ()
| Returns the gallery item which the event relates to, or NULL if it does not relate to an item.
void | SetGallery (wxRibbonGallery *gallery)
| Sets the gallery relating to this event.
void | SetGalleryItem (wxRibbonGalleryItem *item)
| Sets the gallery item relating to this event.

List of all members.

## Constructor & Destructor Documentation

wxRibbonGalleryEvent::wxRibbonGalleryEvent | ( | wxEventType | command_type = `wxEVT_NULL`,
|  | int | win_id = `0`,
|  | wxRibbonGallery * | gallery = `NULL`,
|  | wxRibbonGalleryItem * | item = `NULL` |
| ) |  |  |

Constructor.

## Member Function Documentation

wxRibbonGallery* wxRibbonGalleryEvent::GetGallery | ( |  | ) |

Returns the gallery which the event relates to.

wxRibbonGalleryItem* wxRibbonGalleryEvent::GetGalleryItem | ( |  | ) |

Returns the gallery item which the event relates to, or NULL if it does not relate to an item.

void wxRibbonGalleryEvent::SetGallery | ( | wxRibbonGallery * | gallery | ) |

Sets the gallery relating to this event.

void wxRibbonGalleryEvent::SetGalleryItem | ( | wxRibbonGalleryItem * | item | ) |

Sets the gallery item relating to this event.

|  | [ top ]